#!/usr/bin/env wish 

source datechooser.tcl
package require datechooser 0.8
catch {namespace import datechooser::*}

# Create a datechooser widget

datechooser .w

# Set the inital month to the first month of 1999, (it defaults to the
# current month/year)

# .w set "1 oct 2000"

# Choose fonts
set f1 [font create -family Helvetica -size 12 -weight bold]
set f2 [font create -family Helvetica -size 8 -weight normal]
set f3 [font create -family Helvetica -size 8 -weight bold]
set f4 [font create -family Helvetica -size 10 -weight bold]
set f5 [font create -family Helvetica -size 16 -weight bold]

# Set the font at the top of the widget
.w config -font $f1
# Set the font for the date buttons
.w config -datefont $f2
.w config -highlightfont $f3
.w config -highlightdate 1

# Finally pack the widget as required

pack .w

# You can get the current chosen date via ".w get", or choose to use
# the widget in a modal manner, as shown here...

.w config -textvariable mydate
set mydate ""
update
puts "Setting -datefont..."
after 1000
.w config -datefont $f4
update
puts "Setting -datebg..."
after 1000
.w config -datebg blue
update
puts "Setting -datefg..."
after 1000
.w config -datefg white
update
puts "Setting -font..."
after 1000
.w config -font $f5
update
puts "Setting -bg..."
after 1000
.w config -bg blue
update
puts "Setting -fg..."
after 1000
.w config -fg white
update
puts "Setting -hightlightdate..."
after 1000
.w config -highlightdate 1
update
puts "Setting -highlightfont..."
after 1000
.w config -highlightfont $f4
update
puts "Setting -highlightbg..."
after 1000
.w config -highlightbg darkred
update
set c [clock format [clock seconds] -format "%B %Y"]
set dates "{1 $c} {8 $c} {15 $c}"
puts "Setting -setdates... ($dates)"
.w config -setdates $dates
update

puts "Waiting for use to select date..."
tkwait variable mydate
puts "Date Selected: $mydate"

# For details on all config options and resources see the source code -
# further resources/commands will be supported as this widget matures.

exit 0
